package com.bzd.system.service.cgxs;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 特管药品登记表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SCgxsTgypTgypdjService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSCgxsTgypTgypdj(PageData pd)throws Exception {
        return daoSupport.update("SCgxsTgypTgypdjMapper.addSCgxsTgypTgypdj", pd);
    }

    public List<PageData> findSCgxsTgypTgypdjList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SCgxsTgypTgypdjMapper.selectSCgxsTgypTgypdjList", pd);
    }

    public Integer SCgxsTgypTgypdjRemove(PageData pd)throws Exception {
        return daoSupport.delete("SCgxsTgypTgypdjMapper.SCgxsTgypTgypdjRemove", pd);
    }


    public Integer updateSCgxsTgypTgypdj(PageData pd)throws Exception {
        return daoSupport.update("SCgxsTgypTgypdjMapper.updateSCgxsTgypTgypdj", pd);
    }

}
